summarylogtreecommitdiffstats
path: root/ark-git.install
diff options
context:
space:
mode:
Diffstat (limited to 'ark-git.install')
-rw-r--r--ark-git.install7
1 files changed, 3 insertions, 4 deletions
diff --git a/ark-git.install b/ark-git.install
index 8bccbee5d4c7..ccb9b0a4a311 100644
--- a/ark-git.install
+++ b/ark-git.install
@@ -1,12 +1,11 @@
post_install() {
- update-desktop-database -q
- xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+ [[ -x xdg-icon-resource ]] && xdg-icon-resource forceupdate --theme hicolor &> /dev/null || true
}
-post_update() {
+post_upgrade() {
post_install
}
post_remove() {
post_install
-} \ No newline at end of file
+}